#ifndef WEAPON_H
#define WEAPON_H

#include <GL/glut.h>

class Weapon{
public:
	Weapon();
	fire();
	bool isbeingfired;
	float origin[3];
	float pos[3];
	float direction[3];
	int range;
private:	
	float dest[3];
};

#endif